Subject: Emacs pretest 24.2.92 - compilation error on AIX 5.3 using gcc 4.7-2
From: Gilles Pion <[email-masked]>
To: [email-masked]
Cc: Glenn Morris <[email-masked]>
Date: Thu, 10 Jan 2013 18:46:18 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

*1st compilation error:*

sysdep.c: In function 'init_signals':
sysdep.c:1940:34: error: 'deliver_danger_signal' undeclared (first use in
this function)
sysdep.c:1940:34: note: each undeclared identifier is reported only once
for each function it appears in
gmake[1]: *** [sysdep.o] Error 1
gmake[1]: Leaving directory
`/sg/paxdev5/D1stunix/src/emacs/24.2.92/emacs-24.2.92/src'
gmake: *** [src] Error 2

Have bee able to fix by adding declaration of "deliver_danger_signal"
in  sysdep.c:

  void deliver_danger_signal (int sig);

*2nd compilation error:*
(did not found a easy way to fix)

/fdj/opt/gcc-4.7/bin/gcc -std=gnu99 -c  -Demacs  -I.
-I/sg/paxdev5/D1stunix/src/emacs/24.2.92/emacs-24.2.92/src -I../lib
-I/sg/paxdev5/D1stunix/src/emacs/24.2.92/emacs-24.2.92/src/../lib
    -MMD -MF deps/eval.d -MP     -O2 -I/opt/freeware/include eval.c
eval.c: In function 'mark_backtrace':
eval.c:3380:20: error: invalid type argument of unary '*' (have
'Lisp_Object')
gmake[1]: *** [eval.o] Error 1
gmake[1]: Leaving directory
`/sg/paxdev5/D1stunix/src/emacs/24.2.92/emacs-24.2.92/src'
gmake: *** [src] Error 2
*
*
Context:

$ /fdj/opt/gcc-4.7/bin/gcc --version
gcc (GCC) 4.7.2
Copyright (C) 2012 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

  Where should the build process find the source code?
 /sg/paxdev5/D1stunix/src/emacs/24.2.92/emacs-24.2.92
  What compiler should emacs be built with?
/fdj/opt/gcc-4.7/bin/gcc -std=gnu99 -O2 -I/opt/freeware/include
  Should Emacs use the GNU version of malloc?             yes
  Should Emacs use a relocating allocator for buffers?    yes
  Should Emacs use mmap(2) for buffer allocation?         no
  What window system should Emacs use?                    x11
  What toolkit should Emacs use?                          LUCID
  Where do we find X Windows header files?                Standard dirs
  Where do we find X Windows libraries?                   Standard dirs
  Does Emacs use -lXaw3d?                                 no
  Does Emacs use -lXpm?                                   yes
  Does Emacs use -ljpeg?                                  no
  Does Emacs use -ltiff?                                  no
  Does Emacs use a gif library?                           no
  Does Emacs use -lpng?                                   no
  Does Emacs use -lrsvg-2?                                no
  Does Emacs use imagemagick?                             no
  Does Emacs use -lgpm?                                   no
  Does Emacs use -ldbus?                                  no
  Does Emacs use -lgconf?                                 no
  Does Emacs use GSettings?                               no
  Does Emacs use -lselinux?                               no
  Does Emacs use -lgnutls?                                no
  Does Emacs use -lxml2?                                  no
  Does Emacs use -lfreetype?                              no
  Does Emacs use -lm17n-flt?                              no
  Does Emacs use -lotf?                                   no
  Does Emacs use -lxft?                                   no
  Does Emacs use toolkit scroll bars?                     no

-- 
Gilles PION